#
# spec file for package doxygen (Version 1.2.9.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  -qtdevel -qtlib freetype2 ghostscript-fonts-std ghostscript-library ghostscript-x11 glib gpp gppshare libgpp libjpeg liblcms libmng libmng-devel libpng mesa mesa-devel mesasoft perl qt qt-devel te_latex te_pdf tetex unzip xf86 xf86glu xf86glu-devel
# usedforbuild    -qtdevel -qtlib aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext ghostscript-fonts-std ghostscript-library ghostscript-x11 glib glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg liblcms libmng libmng-devel libpng libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex te_pdf tetex texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         doxygen
Version:      1.2.9.1
Release:      41
Autoreqprov:  on
Copyright:    GPL
Group:	      Development/Tools
Summary:      Automated C/C++/Java documentation generator
URL:	      http://www.stack.nl/~dimitri/doxygen/
Source:	      doxygen-%{version}.src.tar.bz2
Patch:        doxygen-%{version}-ia64.dif
BuildRoot:    /var/tmp/%{name}-build

%description
Doxygen is a documentation system for C and C++. It can generate an
on-line class browser (in HTML) and/or an off-line reference manual
(in LaTeX) from a set of documented source files. The documentation is
extracted directly from the sources. Doxygen is developed on a Linux
platform, but it runs on most other UNIX flavors as well. An
executable for Windows 95/NT is also available.

Authors:
--------
    Dimitri van Heesch <dimitri@stack.nl>

SuSE series: d

%prep
%setup
%patch

%build
export QTDIR=/usr/lib/qt2
export PATH=$QTDIR/bin:$PATH
export LD_RUN_PATH=$QTDIR/lib
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix /usr --with-doxywizard
make
make docs
make ps

%install
rm -rf $RPM_BUILD_ROOT
make install install_docs INSTALL=$RPM_BUILD_ROOT/usr DOCDIR=$RPM_BUILD_ROOT%{_docdir}/doxygen
install -m 644 LICENSE LANGUAGE.HOWTO PLATFORMS README VERSION $RPM_BUILD_ROOT%{_docdir}/doxygen
cd $RPM_BUILD_ROOT%{_docdir}/doxygen
gzip -9 doxygen_manual.ps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_docdir}/doxygen
%attr(755,root,root) /usr/bin/*

%changelog -n doxygen
* Wed Aug 08 2001 - cihlar@suse.cz
- update to version 1.2.9.1
* Fri Aug 03 2001 - cihlar@suse.cz
- update to version 1.2.9
- gzipped doxygen_manual.ps
* Thu Jul 26 2001 - cihlar@suse.cz
- update to version 1.2.8.1
* Mon Jul 23 2001 - cihlar@suse.cz
- added glib to neededforbuild
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Wed May 16 2001 - cihlar@suse.cz
- update to version 1.2.7
- fixed warnings on ia64
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Mon Mar 12 2001 - cihlar@suse.cz
- update to version 1.2.6
* Tue Mar 06 2001 - cihlar@suse.cz
- update to version 1.2.5
* Mon Jan 22 2001 - cihlar@suse.cz
- update to version 1.2.4
* Thu Nov 30 2000 - cihlar@suse.cz
- fixed neededforbuild: += liblcms
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Mon Nov 13 2000 - cihlar@suse.cz
- fixed to compile
* Fri Nov 03 2000 - cihlar@suse.cz
- fixed neededforbuild
* Tue Oct 31 2000 - cihlar@suse.cz
- update to version 1.2.3
* Mon Oct 09 2000 - cihlar@suse.cz
- update to version 1.2.2
- added libmng to neededforbuild
* Fri Aug 25 2000 - cihlar@suse.cz
- added BuildRoot
- fixed neededforbuild
* Tue Aug 15 2000 - garloff@suse.de
- Update to stable version 1.2.1.
- No need for using -g for release version any longer.
* Wed Jul 05 2000 - garloff@suse.de
- Update to doxygen-1.1.5: Many bugfixes (last pre-1.2)
- Documentation (.ps,.pdf) is now being build from the sources
* Tue Jun 27 2000 - garloff@suse.de
- Detect qtlib2 version and pass it to the dynamic linker with
  LD_RUN_PATH (equivalent to -rpath).
* Wed Jun 21 2000 - garloff@suse.de
- Change QTDIR to /usr/lib/qt2 (instead of qt-2.1.1) to avoid
  breakage in case of qtlib2 upgrade.
* Tue Jun 06 2000 - garloff@suse.de
- Upgrade to doxygen-1.1.4.
- Use qt2 to build.
- The Makefile for the doc subdir is now correctly created.
* Wed May 24 2000 - garloff@suse.de
- Use %%{_docdir}
* Wed Jan 05 2000 - garloff@suse.de
- Upgrade to doxygen-1.0.0
* Sun Oct 31 1999 - ro@suse.de
- re-added -g to CFLAGS (workaround for a segfault without)
* Sat Oct 30 1999 - garloff@suse.de
- Update to 0.49-991003.
- Added pdf docu.
* Wed Aug 04 1999 - garloff@suse.de
- Update to 0.49-990728.
* Wed Jul 28 1999 - garloff@suse.de
- Added missing neededforbuild packages.
- Add -g to compile flags: Workaround for egcs on AXP (!)
* Sat Jul 24 1999 - garloff@suse.de
- Check in der 0.49-990522 Version. linux-egcs Target.
